---
cifmw_networking_definition:
  networks:
    ctlplane:
      network: "192.168.122.0/24"
      gateway: "192.168.122.1"
      dns:
        - "192.168.122.1"
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 120
            - start: 150
              end: 200
    ctlplane1:
      network: "192.168.123.0/24"
      gateway: "192.168.123.1"
      dns:
        - "192.168.122.1"
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 120
            - start: 150
              end: 200
    ctlplane2:
      network: "192.168.124.0/24"
      gateway: "192.168.124.1"
      dns:
        - "192.168.122.1"
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 120
            - start: 150
              end: 200


    internalapi:
      network: "172.17.0.0/24"
      gateway: "172.17.0.1"
      vlan: 20
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250
    internalapi1:
      network: "172.17.1.0/24"
      gateway: "172.17.1.1"
      vlan: 30
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250
    internalapi2:
      network: "172.17.2.0/24"
      gateway: "172.17.2.1"
      vlan: 40
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250

    storage:
      network: "172.18.0.0/24"
      gateway: "172.18.0.1"
      vlan: 21
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250
    storage1:
      network: "172.18.1.0/24"
      gateway: "172.18.1.1"
      vlan: 31
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250
    storage2:
      network: "172.18.2.0/24"
      gateway: "172.18.2.1"
      vlan: 41
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250

    tenant:
      network: "172.19.0.0/24"
      gateway: "172.19.0.1"
      vlan: 22
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250
    tenant1:
      network: "172.19.1.0/24"
      gateway: "172.19.1.1"
      vlan: 32
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250
    tenant2:
      network: "172.19.2.0/24"
      gateway: "172.19.2.1"
      vlan: 42
      mtu: 1500
      tools:
        multus:
          ranges:
            - start: 30
              end: 70
        metallb:
          ranges:
            - start: 80
              end: 90
        netconfig:
          ranges:
            - start: 100
              end: 250

  group-templates:
    ocps:
      network-template:
        range:
          start: 10
          length: 5
      networks:
        ctlplane: {}
        internalapi:
          trunk-parent: ctlplane
        tenant:
          trunk-parent: ctlplane
        storage:
          trunk-parent: ctlplane
    leaf0s:
      network-template:
        range:
          start: 100
          length: 5
      networks:
        ctlplane1: {}
        internalapi1:
          trunk-parent: ctlplane1
        tenant1:
          trunk-parent: ctlplane1
        storage1:
          trunk-parent: ctlplane1
    leaf1s:
      network-template:
        range:
          start: 100
          length: 5
      networks:
        ctlplane2: {}
        internalapi2:
          trunk-parent: ctlplane2
        tenant2:
          trunk-parent: ctlplane2
        storage2:
          trunk-parent: ctlplane2

  instances:
    controller-0:
      networks: {}
